	.file "..\src\SoftConfig_BF707.c";
//  Compilation time: Wed Jul 20 18:43:54 2016
//  Compiler options: -c -file-attr ProjectName=myOptimizationExample -proc ADSP-BF707 -flags-compiler --no_wrap_diagnostics -si-revision any -g -save-temps -path-output .\src -DCORE0 -D_DEBUG -IC:\Projects\myOptimizationExample\system -structs-do-not-overlap -no-const-strings -no-multiline -warn-protos -double-size-32 -decls-strong -cplbs -gnu-style-dependencies -MD -Mo src\SoftConfig_BF707.d -o src\SoftConfig_BF707.doj
//  Compiler version: 8.6.0.0 (BUILD-B-REL-CCES2_2-20160219_1817)
//  Architecture: ADSP-BF707
//  Silicon revision: any
//  Anomalies summary:
//   Never on: w_05000046
//   Disabled: w_05000048, w_05000074_16000015, w_05000103, w_05000104, w_05000120, w_05000122, w_05000127, w_05000157, w_05000310_16000013, w_05000198, w_05000202, w_05000209, w_05000227, w_05000244, w_05000245_16000014, w_05000246, w_05000248, w_05000262, w_05000264, w_05000283, w_F3_F_021, w_F3_F_008_F3_F_013, w_05000312, w_05000371, w_05000428, w_05000426_16000012, w_05000443_16000010, w_05000412, w_05000010, w_05000477_16000009, w_05000506_16000043
//   Enabled: w_19000010, w_19000019

.MESSAGE/SUPPRESS 5500;
.MESSAGE/SUPPRESS 5508;


	.section/DOUBLE32 program;

.epctext:

	.align 2;
_ConfigSoftSwitches:
.LN_ConfigSoftSwitches:
//-------------------------------------------------------------------
//  Procedure statistics:
//  Frame size            = 28 
//  Scratch registers used: {R0-R2,P0-P1,ASTAT0-ASTAT1,CC}
//  Call preserved registers used: {R6-R7,FP,SP,RETS}
//  Registers that could be clobbered by function calls: {R0-R3,P0-P2,I0-I3,B0-B3,M0-M3,A0-A1,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line "..\src\SoftConfig_BF707.c":149
	LINK 12;
	[--SP] = (R7:6);
	SP += -20;
.LN0:
// line 159
	R6 = 2;
	[FP + 12] = R6;
.LN1:
// line 160
	R7 = 0;
	[FP + -4] = R7;

.P36L1:
//-------------------------------------------------------------------
//   Loop at "..\src\SoftConfig_BF707.c" line 160 col 2
//-------------------------------------------------------------------
	R0 = [FP + -4];
	R1 = [FP + 12];
	CC = R1 <= R0 (IU);
	if CC jump .P36L3 ;

	P1 = R0;
.LN2:
// line 162
	P1 = P1 + P1;
	P1 = (P1 + P1) << 2;
	P0 = _SoftSwitch;
	P1 = P0 + P1;
	[FP + -12] = P1;
.LN3:
// line 164
	R0 = [P1];
.LN4:
	P1 = _hDevice;
	[SP + 16] = P1;
	P1 = 230;
	[SP + 12] = P1;
	R2 = _deviceMemory;
	R1 = 0;
	CALL.X _adi_twi_Open;
.LN5:
	[FP + 8] = R0;
.LN6:
// line 168
	R0 = [_hDevice];
	P1 = [FP + -12];
	R1 = W[P1 + 4] (Z);
.LN7:
	CALL.X _adi_twi_SetHardwareAddress;
.LN8:
	[FP + 8] = R0;
.LN9:
// line 171
	R0 = [_hDevice];
.LN10:
	R1 = 10;
	CALL.X _adi_twi_SetPrescale;
.LN11:
	[FP + 8] = R0;
.LN12:
// line 174
	R0 = [_hDevice];
.LN13:
	R1 = 100;
	CALL.X _adi_twi_SetBitRate;
.LN14:
	[FP + 8] = R0;
.LN15:
// line 177
	R0 = [_hDevice];
.LN16:
	R1 = 50;
	CALL.X _adi_twi_SetDutyCycle;
.LN17:
	[FP + 8] = R0;
.LN18:
// line 181
	[FP + 16] = R7;

.P36L4:
//-------------------------------------------------------------------
//   Loop at "..\src\SoftConfig_BF707.c" line 181 col 3
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in an estimated 35 
//   cycles (includes 11 stalls but excludes the cost of function calls).
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     16-bit Instruction  used  38 out of   70 ( 54.3%)
//     32-bit Instruction  used  14 out of   35 ( 40.0%)
//     Group 1             used  24 out of   70 ( 34.3%)
//     Store               used   6 out of   35 ( 17.1%)
//-------------------------------------------------------------------
	// -- 4 stalls --
	R0 = [FP + 16];
	P1 = [FP + -12];
	// -- 3 stalls --
	R1 = [P1 + 8];
	CC = R1 <= R0 (IU);
	if CC jump .P36L6 ;

.LN19:
// line 183
	P0 = [P1 + 12];
	P1 = R0;
	// -- 4 stalls --
	P1 = P0 + (P1<<1);
	[FP + -8] = P1;
.LN20:
// line 186
	R0 = B[P1] (Z);
	B[_twiBuffer] = R0;
.LN21:
// line 187
	R0 = B[P1 + 1] (Z);
	B[_twiBuffer+1] = R0;
.LN22:
// line 188
	R0 = [_hDevice];
.LN23:
	P1 = 0;
	[SP + 12] = P1;
	R2 = 2;
	R1 = _twiBuffer;
	CALL.X _adi_twi_Write;
.LN24:
	[FP + 8] = R0;
.LN25:
// line 181
	R0 = [FP + 16];
	R0 += 1;
	[FP + 16] = R0;
	jump.s .P36L4;
//-------------------------------------------------------------------
//   End Loop L4
//-------------------------------------------------------------------

.P36L6:
//-------------------------------------------------------------------
//   Part of Loop 1, depth 1
//-------------------------------------------------------------------
.LN26:
// line 192
	R0 = [_hDevice];
.LN27:
	CALL.X _adi_twi_Close;
.LN28:
	[FP + 8] = R0;
.LN29:
// line 160
	R0 = [FP + -4];
	R0 += 1;
	[FP + -4] = R0;
	jump.s .P36L1;
//-------------------------------------------------------------------
//   End Loop L1
//-------------------------------------------------------------------

.P36L3:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN30:
// line 195
	SP += 20;
	(R7:6) = [SP++];
	UNLINK;
	RTS;
.LN._ConfigSoftSwitches.end:
._ConfigSoftSwitches.end:
	.global _ConfigSoftSwitches;
	.type _ConfigSoftSwitches,STT_FUNC;

	.file_attr ProjectName="myOptimizationExample";
	.file_attr FuncName="_atof";
	.file_attr FuncName="_atoi";
	.file_attr FuncName="_atol";
	.file_attr FuncName="_strtod";
	.file_attr FuncName="_strtoul";
	.file_attr FuncName="_atoll";
	.file_attr FuncName="_strtof";
	.file_attr FuncName="_strtold";
	.file_attr FuncName="_strtoll";
	.file_attr FuncName="_strtoull";
	.file_attr FuncName="_ConfigSoftSwitches";
	.file_attr Content="CodeData";
.epctext.end:

	.extern _adi_twi_Open;
	.type _adi_twi_Open,STT_FUNC;
	.extern _adi_twi_SetHardwareAddress;
	.type _adi_twi_SetHardwareAddress,STT_FUNC;
	.extern _adi_twi_SetPrescale;
	.type _adi_twi_SetPrescale,STT_FUNC;
	.extern _adi_twi_SetBitRate;
	.type _adi_twi_SetBitRate,STT_FUNC;
	.extern _adi_twi_SetDutyCycle;
	.type _adi_twi_SetDutyCycle,STT_FUNC;
	.extern _adi_twi_Write;
	.type _adi_twi_Write,STT_FUNC;
	.extern _adi_twi_Close;
	.type _adi_twi_Close,STT_FUNC;

	.section/DOUBLE32 data1;

	.align 4;
	.type .epcdata,STT_OBJECT;
.epcdata:
	.byte _SwitchConfig0[] =
		0x12,0xF8,0x13,0xFF,0x00,0x40,0x01,0x03;
	.type _SwitchConfig0,STT_OBJECT;
	.byte _SwitchConfig1[] =
		0x12,0x85,0x13,0x83,0x00,0x80,0x01,0x83;
	.type _SwitchConfig1,STT_OBJECT;
.epcdata.end:

	.section/ZERO_INIT/DOUBLE32 bsz;

	.align 4;
	.type .epcbss,STT_OBJECT;
.epcbss:
	.byte _hDevice[4];
	.type _hDevice,STT_OBJECT;
.epcbss.end:

	.section .debug_abbrev;

	.align 1;
	.type .epcabbrev,STT_OBJECT;
.epcabbrev:
	.inc/binary ".\src\SoftConfig_BF707.sbn", 0, 240;
.epcabbrev.end:

	.section .debug_info;

	.align 1;
	.type .epcdebug,STT_OBJECT;
.epcdebug:
	.byte =
		0x14,0x17,0x00,0x00,0x02,0x00;
	.byte4 = .epcabbrev;
	.byte =
		0x04,0x01,0x2E,0x2E,0x5C,0x73,0x72,0x63,0x5C,0x53,0x6F,0x66,
		0x74,0x43,0x6F,0x6E,0x66,0x69,0x67,0x5F,0x42,0x46,0x37,0x30,
		0x37,0x2E,0x63,0x00,0x0C;
	.byte4 = .epcline;
	.inc/binary ".\src\SoftConfig_BF707.sbn", 240, 5458;
	.byte4 = .LN_ConfigSoftSwitches;
	.byte4 = .LN._ConfigSoftSwitches.end;
	.byte =
		0x01,0x01,0x00,0x10,0x00,0x00,0x00,0x00;
	.byte4 = .LN0;
	.byte4 = .LN._ConfigSoftSwitches.end;
	.inc/binary ".\src\SoftConfig_BF707.sbn", 5698, 157;
	.byte4 = _hDevice;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x11,0x74,0x77,0x69,0x42,0x75,0x66,
		0x66,0x65,0x72,0x00,0x01,0x08,0x17,0x00,0x00,0x05,0x03;
	.byte4 = _twiBuffer;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x11,0x64,0x65,0x76,0x69,0x63,0x65,
		0x4D,0x65,0x6D,0x6F,0x72,0x79,0x00,0x01,0xF8,0x16,0x00,0x00,
		0x05,0x03;
	.byte4 = _deviceMemory;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x11,0x53,0x77,0x69,0x74,0x63,0x68,
		0x43,0x6F,0x6E,0x66,0x69,0x67,0x30,0x00,0x01,0xEA,0x16,0x00,
		0x00,0x05,0x03;
	.byte4 = _SwitchConfig0;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x11,0x53,0x77,0x69,0x74,0x63,0x68,
		0x43,0x6F,0x6E,0x66,0x69,0x67,0x31,0x00,0x01,0xDC,0x16,0x00,
		0x00,0x05,0x03;
	.byte4 = _SwitchConfig1;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x11,0x53,0x6F,0x66,0x74,0x53,0x77,
		0x69,0x74,0x63,0x68,0x00,0x01,0xCE,0x16,0x00,0x00,0x05,0x03;
	.byte4 = _SoftSwitch;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x12,0xDC,0x16,0x00,0x00,0x4C,0x15,
		0x00,0x00,0x13,0x02,0x00,0x01,0x00,0x12,0xEA,0x16,0x00,0x00,
		0xD0,0x14,0x00,0x00,0x13,0x04,0x00,0x03,0x00,0x12,0xF8,0x16,
		0x00,0x00,0xD0,0x14,0x00,0x00,0x13,0x04,0x00,0x03,0x00,0x12,
		0x08,0x17,0x00,0x00,0x76,0x04,0x00,0x00,0x13,0xE6,0x01,0x00,
		0xE5,0x01,0x00,0x12,0x16,0x17,0x00,0x00,0x76,0x04,0x00,0x00,
		0x13,0x20,0x00,0x1F,0x00,0x00,0x00;
.epcdebug.end:

	.section .debug_line;

	.align 1;
	.type .epcline,STT_OBJECT;
.epcline:
	.inc/binary ".\src\SoftConfig_BF707.sbn", 5855, 944;
	.byte4 = .LN_ConfigSoftSwitches;
	.byte =
		0x04,0x01,0x05,0x01,0x9D,0x00,0x05,0x02;
	.byte4 = .LN0;
	.byte =
		0x05,0x02,0x13,0x00,0x05,0x02;
	.byte4 = .LN1;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN2;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN3;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN4;
	.byte =
		0x05,0x18,0x01,0x00,0x05,0x02;
	.byte4 = .LN5;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN6;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN7;
	.byte =
		0x05,0x26,0x01,0x00,0x05,0x02;
	.byte4 = .LN8;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN9;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN10;
	.byte =
		0x05,0x1F,0x01,0x00,0x05,0x02;
	.byte4 = .LN11;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN12;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN13;
	.byte =
		0x05,0x1E,0x01,0x00,0x05,0x02;
	.byte4 = .LN14;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN15;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN16;
	.byte =
		0x05,0x20,0x01,0x00,0x05,0x02;
	.byte4 = .LN17;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN18;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN19;
	.byte =
		0x05,0x04,0x0B,0x00,0x05,0x02;
	.byte4 = .LN20;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN21;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN22;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN23;
	.byte =
		0x05,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN24;
	.byte =
		0x05,0x04,0x01,0x00,0x05,0x02;
	.byte4 = .LN25;
	.byte =
		0x05,0x37,0x03,0x79,0x01,0x00,0x05,0x02;
	.byte4 = .LN26;
	.byte =
		0x05,0x03,0x14,0x00,0x05,0x02;
	.byte4 = .LN27;
	.byte =
		0x05,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN28;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN29;
	.byte =
		0x05,0x29,0x03,0x60,0x01,0x00,0x05,0x02;
	.byte4 = .LN30;
	.byte =
		0x05,0x01,0x2C,0x00,0x05,0x02;
	.byte4 = .LN._ConfigSoftSwitches.end;
	.byte =
		0x00,0x01,0x01;
.epcline.end:

	.section .debug_pubnames;

	.align 1;
.epcpubnames:
	.type .epcpubnames,STT_OBJECT;
	.byte =
		0x25,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0x18,0x17,0x00,0x00,0x64,0x15,0x00,0x00,0x43,0x6F,0x6E,0x66,
		0x69,0x67,0x53,0x6F,0x66,0x74,0x53,0x77,0x69,0x74,0x63,0x68,
		0x65,0x73,0x00,0x00,0x00,0x00,0x00;
.epcpubnames.end:

	.section .debug_aranges;

	.align 1;
.epcaranges:
	.type .epcaranges,STT_OBJECT;
	.byte =
		0x1C,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0x04,0x00,0x00,0x00,0x00,0x00;
	.byte4 = .LN_ConfigSoftSwitches;
	.byte4 = .LN._ConfigSoftSwitches.end-.LN_ConfigSoftSwitches;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcaranges.end:

	.section/ZERO_INIT/DOUBLE32 bsz;

	.align 4;
	.type _twiBuffer,STT_OBJECT;
	.byte _twiBuffer[32];
	.align 4;
	.type _deviceMemory,STT_OBJECT;
	.byte _deviceMemory[230];

	.section/DOUBLE32 data1;

	.align 4;
	.type _SoftSwitch,STT_OBJECT;
_SoftSwitch:
	.byte =
		0x00,0x00,0x00,0x00,0x21,0x00,0x00,0x00,0x04,0x00,0x00,0x00;
	.byte4 = _SwitchConfig0;
	.byte =
		0x00,0x00,0x00,0x00,0x22,0x00,0x00,0x00,0x04,0x00,0x00,0x00;
	.byte4 = _SwitchConfig1;
._SoftSwitch.end:
